<?php declare(strict_types = 0);
/*
** Glaber
** Copyright (C) 2001-2026 Glaber JSC
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/

class CSQLCache {
 
    public static function getCachedSQL(string $query, $limit, $process_func, int $ttl = 3) {
        $result = NULL;
        
        $apcuAvailabe = function_exists('apcu_enabled') && apcu_enabled();
		
        $cached = false;

		if ($apcuAvailabe) 
			$result = apcu_fetch($query.$limit, $cached);

		if (!$cached || !isset($result) ) { //this will be called if no acpu availabale either
			$db_result = DBselect($query, $limit);
		
            $result = $process_func($db_result);

            if ($apcuAvailabe) 
				apcu_store($query.$limit, $result, $ttl);

        }
        return $result;
    }
}